* Single NMOS Transistor For BSIM3V3.1  
* General purpose check (Id-Vd) ***

* Transistor measurements
.param lg = 0.25u   ; default gate length
.param ld = 0.75u ; default drain diffusion length
.param ls = 0.75u ; default source diffusion length
.param wp=2u 

* Calculated MOS model parameters
.func as(w, ls) ls*w
.func ad(w, ld) ld*w
.func ps(w, ls) 2*ls+w
.func pd(w, ld) 2*ld+w


*** circuit description ***

m1 2 1 0 0 CMOSN l=lg w=wn as="as(wn, ls)" ad="ad(wn, ld)" 
+ ps="ps(wn, ls)" pd="pd(wn, ld)"

vgs 1 0 3.5 
vds 2 0 3.5 

.dc vds 0 3.5 0.05 vgs 0 3.5 0.5

.probe
.include fet_models

.end






